@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('stock::stock.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('stock::stock.names') !!}</small>
@stop

@section('title')
{!! trans('stock::stock.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('stock::stock.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='stock-stock-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="stock-stock-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('stock::stock.label.name')!!}</th>
        <th>{!! trans('stock::stock.label.store_id')!!}</th>
        <th>{!! trans('stock::stock.label.substore_id')!!}</th>
        <th>{!! trans('stock::stock.label.description')!!}</th>
        <th>{!! trans('stock::stock.label.category_id')!!}</th>
        <th>{!! trans('stock::stock.label.subcategory_id')!!}</th>
        <th>{!! trans('stock::stock.label.quantity')!!}</th>
        <th>{!! trans('stock::stock.label.status')!!}</th>
        <th>{!! trans('stock::stock.label.verification_status')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::numeric('search[store_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[substore_id]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
        <th>{!! Form::numeric('search[category_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[subcategory_id]')->raw()!!}</th>
        <th>{!! Form::decimal('search[quantity]')->raw()!!}</th>
        <th>{!! Form::select('search[status]')->raw()!!}</th>
        <th>{!! Form::select('search[verification_status]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#stock-stock-entry', '{!!trans_url('admin/stock/stock/0')!!}');
    oTable = $('#stock-stock-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/stock/stock') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#stock-stock-list .search_bar input, #stock-stock-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'name'},
                        {data :'store_id'},
                    {data :'substore_id'},
                    {data :'description'},
                    {data :'category_id'},
                    {data :'subcategory_id'},
                    {data :'quantity'},
                        {data :'status'},
                    {data :'verification_status'},
        ],
        "pageLength": 25
    });

    $('#stock-stock-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#stock-stock-list').DataTable().row( this ).data();

        $('#stock-stock-entry').load('{!!trans_url('admin/stock/stock')!!}' + '/' + d.id);
    });

    $("#stock-stock-list .search_bar input, #stock-stock-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

